package com.ruoyi.zdsz.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.zdsz.domain.ZEngineeringCivil;
import com.ruoyi.zdsz.domain.bo.ZBuildingBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringCivilBo;
import com.ruoyi.zdsz.domain.vo.*;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 民用工程Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface ZEngineeringCivilMapper extends BaseMapperPlus<ZEngineeringCivilMapper, ZEngineeringCivil, ZEngineeringCivilVo> {


    Page<ZEngineeringCivilVo> queryPageList(@Param("p") ZEngineeringCivilBo bo, Page<?> page);

    List<roomStatusVo> getObtainRoomcCompletionInformationList(ZEngineeringCivilBo bo);
    List<areaWillDoneVo> getAreaCompletionInformationList(List idList,String enginCycle);
    areaStatusVo getsumStatus(String enginCycle);

}
